<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Logtrust - J. Gouveia</title>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <h1>Ejercicio 2</h1>

    <div id="graph1">Cargando gráfica de líneas...<br><br></div>
    <div id="graph2">Cargando pie chart...</div>

    <script src="highcharts/highcharts.js"></script>
    <script src="highcharts/modules/exporting.js"></script>
    <script src="ejercicio2.js"></script>
    <script>
      lt.init({
        data: [
          {
            url: 'http://s3.amazonaws.com/logtrust-static/test/test/data1.json',
            type: 1
          },
          {
            url: 'http://s3.amazonaws.com/logtrust-static/test/test/data2.json',
            type: 2
          },
          {
            url: 'http://s3.amazonaws.com/logtrust-static/test/test/data3.json',
            type: 3
          }
        ]
      }, function(axis, series) {
        Highcharts.chart('graph1', {
          chart: {type: 'line'},
          title: {text: 'Logtrust - Gráfica de líneas'},
          subtitle: {text: 'Jesús Horacio Gouveia'},
          legend: {
             layout: 'vertical',
             align: 'right',
             verticalAlign: 'middle',
             borderWidth: 0
          },
          xAxis: {
            categories: axis
          },
          yAxis: {
            title: { text: 'Valor'}
          },
          plotOptions: {
            line: {
              dataLabels: { enabled: false },
              enableMouseTracking: true
            }
          },
          series: series
        });
      }, function(series){
        Highcharts.chart('graph2', {
          chart: {
              plotBackgroundColor: null,
              plotBorderWidth: null,
              plotShadow: false,
              type: 'pie'
          },
          title: {text: 'Logtrust - Gráfica Pie Chart'},
          subtitle: {text: 'Jesús Horacio Gouveia'},
          tooltip: {pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'},
          plotOptions: {
            pie: {
              allowPointSelect: true,
              cursor: 'pointer',
              dataLabels: {
                enabled: true,
                format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                style: {
                  color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                }
              }
            }
          },
          series: [{
            name: 'Brands',
            colorByPoint: true,
            data: series
          }]
        });
      });
    </script>
  </body>
</html>
